#Program the FPGA
self.api.setParameter(['ChipWhisperer CW305 (Artix-7)', 'FPGA Bitstream', 'Bitstream File', u'C:\ChipWhisperer\cw305_top.bit'])
self.api.setParameter(['ChipWhisperer CW305 (Artix-7)', 'FPGA Bitstream', 'Program FPGA', None])

#Setup Plaintext
self.api.setParameter(['Generic Settings', 'Basic', 'Plaintext', 'Fixed'])
self.api.setParameter(['Generic Settings', 'Basic', 'Fixed Plaintext', '00 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 0E 0F'])
self.api.setParameter(['Results', 'Trace Output Plot', 'X Axis', 'Time'])
self.api.setParameter(['Generic Settings', 'Basic', 'Fixed Encryption Key', u'2B 7E 15 16 28 AE D2 A6 AB F7 15 88 09 CF 4F 3C'])

#Setup Glitch Explorer
self.api.setParameter(['Glitch Explorer', 'Plot Widget', None])
self.api.setParameter(['Glitch Explorer', 'Normal Response', u"s=='50fe67cc996d32b6da0937e99bafec60'"])
self.api.setParameter(['Glitch Explorer', 'Successful Response', u"s!='50fe67cc996d32b6da0937e99bafec60'"])

#Number of Traces
self.api.setParameter(['Generic Settings', 'Acquisition Settings', 'Number of Traces', 200])


#Scope Setup    
scope.gain.gain = 40
scope.gain.mode = "high"
#scope.adc.samples = 150
scope.adc.samples = 100
scope.adc.offset = 0
scope.adc.basic_mode = "rising_edge"
scope.clock.adc_src = "clkgen_x1"
#scope.clock.adc_src = "extclk_x4"
scope.clock.adc_phase = 175
#scope.clock.adc_phase = 255
scope.trigger.triggers = "tio4"


# Setup Target io-in as glitch clock source
#Glitch Setup 
scope.glitch.clk_src = 'clkgen'
scope.glitch.ext_offset = 1
scope.glitch.repeat = 2
scope.glitch.width = 25.0
scope.glitch.offset = 0
scope.glitch.trigger_src = "ext_single"
self.api.setParameter(['Glitch Module', 'Output Mode', 'Glitch Only'])
self.api.setParameter(['CW Extra Settings', 'Target HS IO-Out', 'Glitch Module'])

#Setup FPGA Voltage and Freq.
self.api.setParameter(['ChipWhisperer CW305 (Artix-7)', 'VCC-INT', 0.72])
self.api.setParameter(['ChipWhisperer CW305 (Artix-7)', 'PLL Settings', 'CLK-N13 (FGPA Pin N13)', 'PLL1 Frequency', 30000000.0])

#Turn on Glitch Transistors
self.api.setParameter(['CW Extra Settings', 'HS-Glitch Out Enable (High Power)', True])
self.api.setParameter(['CW Extra Settings', 'HS-Glitch Out Enable (Low Power)', True])


