class IterateGlitchWidthOffset(object):
    def __init__(self, ge_window):
        self._starting_offset = -35
        self._starting_ext_offset = 0
        self.ge_window = ge_window

    def reset_glitch_to_default(self, scope, target, project):
        self.offset = self._starting_offset
        self.ext_offset = self._starting_ext_offset

    def change_glitch_parameters(self, scope, target, project):
        self.offset += 10
        

        if self.offset > 40:
            self.offset = self._starting_offset
            self.ext_offset += 1

        if self.ext_offset > 15:
            self.ext_offset = self._starting_ext_offset

        scope.glitch.ext_offset = self.ext_offset
        scope.glitch.offset = self.offset


        if self.ge_window:
            self.ge_window.add_data("Glitch ext_offset", scope.glitch.ext_offset)
            self.ge_window.add_data("Glitch Offset",scope.glitch.offset)

glitch_iterator = IterateGlitchWidthOffset(self.glitch_explorer)
self.aux_list.register(glitch_iterator.change_glitch_parameters, "before_trace")
self.aux_list.register(glitch_iterator.reset_glitch_to_default, "before_capture")

#self.api.setParameter(['Glitch Explorer', 'Plot Widget', None])
#self.api.setParameter(['Glitch Explorer', 'Normal Response', u"s=='50fe67cc996d32b6da0937e99bafec60'"])
#self.api.setParameter(['Glitch Explorer', 'Successful Response', u"s!='50fe67cc996d32b6da0937e99bafec60'"])

